<?php
if ($file -> group_edit <= $user -> group || ($file -> id_user && $file -> id_user == $user -> id))
{


if (isset($_POST['edit_unlink']) && $file->name{0}!=='.')
{
$id_user = $file -> id_user;
$runame = $file -> runame;
if ($file -> delete())
{

if ($id_user && $id_user != $user -> id && !empty($_POST['reason'])){
$reason = text::input_text(@$_POST['reason']);
$ank = new user($id_user);
$ank -> mess("Ваш файл $runame был удален.\nПричина: $reason.\nУдалил $user->login.");
}

$doc -> msg('Файл успешно удален');
$doc->ret('Вернуться','./?'.passgen().'&amp;order='.$order);
header('Refresh: 1; url=./?'.passgen().'&order='.$order);
exit;
}
else
{
$doc -> err('Ошибка при удалении файла');
}

}




if (isset($_POST['edit_prop']))
{

$groups = groups::load_ini(); // загружаем массив групп

if (isset($_POST['description']))$file -> description = text::input_text($_POST['description']);

if (!empty($_POST['name']))
{
$runame = text::for_name($_POST['name']);
$name = text::for_filename($runame);

if ($runame!=$file->runame)
{
if (!$runame || !$name)$doc->err('Неверно задано имя файла');
elseif (!$file->rename($runame,$name))$doc->err('Не удалось переименовать файл');
else
{
$doc->msg('Новое название файла "'.$runame.'"');
$doc->ret('Вернуться','./'.$file -> name.'.htm?order='.$order);
header('Refresh: 1; url=./'.$file -> name.'.htm?order='.$order);
exit;
}

}
}
if ($file -> group_edit <= $user -> group){
if (isset($_POST['group_show']))
{// просмотр
$group_show=(int)$_POST['group_show'];
if (isset($groups[$group_show]) && $group_show!=$file->group_show)
{
$file -> group_show = $group_show;
$doc->msg('Просмотр папки разрешен группе "'.groups::name($group_show).'" и выше');
}
}



if (isset($_POST['group_edit']))
{ // редактирование
$group_edit=(int)$_POST['group_edit'];
if (isset($groups[$group_edit]) && $group_edit!= $file -> group_edit)
{
if ($file->group_show>$group_show)
$doc->err('Для изменения параметров файла группе "'.groups::name($group_edit).'" сначала необходимо дать права на просмотр файла');
else{
$file->group_edit=$group_edit;
$doc->msg('Изменять параметры папки теперь разрешено группе "'.groups::name($group_edit).'" и выше');
}
}
}
}

}
}
?>
